package com.goldenwater.slaj.acci.mapper;

import java.util.List;
import org.apache.ibatis.annotations.Mapper;
import com.goldenwater.slaj.acci.domain.BisAcciInve;

/**
 * 事故调查 数据层
 */
@Mapper
public interface BisAcciInveMapper {

    /**
     * 查询事故调查信息
     * @param guid 查询条件
     * @return 事故调查信息
     */
    BisAcciInve selectBisAcciInveByGuid(String guid);

    /**
     * 查询事故调查列表
     * @param bisAcciInve 事故调查查询条件
     * @return 事故调查集合
     */
    List<BisAcciInve> selectBisAcciInveList(BisAcciInve bisAcciInve);

    /**
     * 新增事故调查
     * @param bisAcciInve 事故调查信息
     * @return 影响行数
     */
    int insertBisAcciInve(BisAcciInve bisAcciInve);

    /**
     * 修改事故调查
     * @param bisAcciInve 事故调查信息
     * @return 影响行数
     */
    int updateBisAcciInve(BisAcciInve bisAcciInve);

    /**
     * 删除事故调查
     * @param guid 事故调查主键
     * @return 影响行数
     */
    int deleteBisAcciInveByGuid(String guid);

    /**
     * 批量删除事故调查
     * @param guids 事故调查主键数组
     * @return 影响行数
     */
    int deleteBisAcciInveByGuids(String[] guids);
}
